| Home | Libraries | People | FAQ | More

## Struct template minimal_expr

boost::yap::minimal_expr

## Synopsis

    // In header: <boost/yap/algorithm_fwd.hpp>

    template<expr_kind Kind, typename Tuple>
    struct minimal_expr {

      // public data members
      static expr_kind const kind;
      Tuple elements;
    };

## Description

Used as the expression template returned by some operations inside YAP when YAP does not have an expression template it was told to use. For instance, if transform() creates a new expression by transforming an existing expression's elements, it will attempt to create the new expression using the existing one's expression template. If no such template exists because the existing expression was not made from an expression template, minimal_expr is used.